mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.Policy.IConstantMembershipCondition System.Security.Policy.IMembershipCondition System.Runtime.InteropServices.ComVisible(true)

A code assembly satisfies a site membership condition if that code originates from the Web site specified by . Site identity is defined for code from URLs with any protocol except FILE. A site is the string between the "//" after the protocol of a URL and the following "/", if present. For example, www.fourthcoffee.com is the site identity in the URL http://www.fourthcoffee.com/process/grind.htm. This excludes port numbers. If a given URL is http://www.fourthcoffee.com:8000/, the site is www.fourthcoffee.com, not www.fourthcoffee.com:8000.

Sites can be matched exactly, or by a wildcard ("*") prefix at the dot delimiter. For example, the site name *.fourthcoffee.com matches fourthcoffee.com as well as www.fourthcoffee.com. Without a wildcard, the site name must be a precise match. The site name * will match any site, but will not match code that has no site evidence.

Determines whether an assembly belongs to a code group by testing the site from which it originated. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Code satisfies this membership condition if it is downloaded from a site whose DNS name matches the site specified by .

  Initializes a new instance of the class with name of the site that determines membership.

  The site name or wildcard expression.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This membership condition tests only evidence.

  Determines whether the specified evidence satisfies the membership condition.

  true if the specified evidence satisfies the membership condition; otherwise, false.

  The against which to make the test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.IMembershipCondition To be added

  Creates an equivalent copy of the membership condition.

  A new, identical copy of the current membership condition.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the site from the specified object is equivalent to the site contained in the current .

  true if the site from the specified object is equivalent to the site contained in the current ; otherwise, false.

  The object to compare to the current .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object. The context, used to resolve references.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets the hash code for the current membership condition.

  The hash code for the current membership condition.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property is matched against the site from which a code assembly originates to test the membership condition.

  Gets or sets the site for which the membership condition tests.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Creates and returns a string representation of the membership condition.

  A string representation of the membership condition.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement To be added

  Creates an XML encoding of the security object and its current state.

  An XML encoding of the security object, including any state information.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement `` To be added

  Creates an XML encoding of the security object and its current state with the specified .

  An XML encoding of the security object, including any state information.

  The context, used to resolve references.